From: "Daniel Campbell" <zlg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/smtube/
Date: Sun, 4 Jun 2017 08:19:42 +0000 (UTC) [thread overview]
Message-ID: <1496564288.61dbfd2cdd29094de8ebd2b5bf4d4a5c7ab4b771.zlg@gentoo> (raw)
commit: 61dbfd2cdd29094de8ebd2b5bf4d4a5c7ab4b771
Author: Daniel Campbell <zlg <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 4 08:17:36 2017 +0000
Commit: Daniel Campbell <zlg <AT> gentoo <DOT> org>
CommitDate: Sun Jun 4 08:18:08 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61dbfd2c
media-video/smtube: revbump wrt bug 620720
Gentoo-Bug: 620720
Gentoo-Bug-URL: https://bugs.gentoo.org/620720
Package-Manager: Portage-2.3.6, Repoman-2.3.2
media-video/smtube/smtube-17.5.0-r1.ebuild | 61 ++++++++++++++++++++++++++++++
1 file changed, 61 insertions(+)
diff --git a/media-video/smtube/smtube-17.5.0-r1.ebuild b/media-video/smtube/smtube-17.5.0-r1.ebuild
new file mode 100644
index 00000000000..36fd97f768d
--- /dev/null
+++ b/media-video/smtube/smtube-17.5.0-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLOCALES="bg cs da de en_GB en es eu fr gl he_IL hr hu it ja ko ms nn_NO pl pt_BR pt ru sq sr tr uk zh_CN zh_TW"
+PLOCALE_BACKUP="en"
+
+inherit l10n qmake-utils
+
+DESCRIPTION="YouTube Browser for SMPlayer"
+HOMEPAGE="http://smplayer.sourceforge.net/smtube"
+SRC_URI="mirror://sourceforge/smtube/${P}.tar.bz2"
+KEYWORDS="~amd64 ~x86"
+LICENSE="GPL-2+"
+SLOT="0"
+
+# Deps in makefile seemed to be -core, -network, -script, -gui, -webkit, but the
+# given packages seem to be deprecated...
+CDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwebkit:5
+ dev-qt/qtscript:5
+"
+DEPEND="
+ ${CDEPEND}
+ dev-qt/linguist-tools:5
+"
+RDEPEND="
+ ${CDEPEND}
+ || ( media-video/smplayer[streaming] media-video/mpv media-video/mplayer media-video/vlc media-video/totem media-video/gnome-mplayer )
+"
+
+gen_translation() {
+ "$(qt5_get_bindir)"/lrelease ${PN}_${1}.ts
+ eend $? || die "failed to generate $1 translation"
+}
+
+src_compile() {
+ eqmake5 src/${PN}.pro
+ emake
+
+ cd "${S}"/src/translations
+ l10n_for_each_locale_do gen_translation
+}
+
+install_locale() {
+ insinto /usr/share/${PN}/translations
+ doins "${S}"/src/translations/${PN}_${1}.qm
+ eend $? || die "failed to install $1 translation"
+}
+
+src_install() {
+ dobin ${PN}
+ domenu ${PN}.desktop
+ newicon icons/${PN}_64.png ${PN}.png
+ dodoc Changelog
+
+ l10n_for_each_locale_do install_locale
+}
next reply other threads:[~2017-06-04 8:19 UTC|newest]
Thread overview: 30+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-06-04 8:19 Daniel Campbell [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-06-28 22:15 [gentoo-commits] repo/gentoo:master commit in: media-video/smtube/ Andreas Sturmlechner
2020-06-28 20:44 Agostino Sarubbo
2020-06-25 6:59 Agostino Sarubbo
2020-05-21 20:37 Andreas Sturmlechner
2019-07-22 12:18 Andreas Sturmlechner
2019-07-22 12:09 Agostino Sarubbo
2019-07-18 7:26 Agostino Sarubbo
2019-06-27 23:37 Andreas Sturmlechner
2018-11-11 13:07 Pacho Ramos
2018-08-22 18:39 Andreas Sturmlechner
2018-08-22 18:39 Andreas Sturmlechner
2018-08-22 18:39 Andreas Sturmlechner
2017-12-12 21:46 Daniel Campbell
2017-10-16 9:09 Daniel Campbell
2017-09-29 4:03 Michael Palimaka
2017-09-29 4:02 Michael Palimaka
2017-06-25 8:18 Daniel Campbell
2017-05-06 1:50 Daniel Campbell
2017-02-13 10:13 Daniel Campbell
2017-02-13 10:13 Daniel Campbell
2016-12-10 7:00 Daniel Campbell
2016-10-28 7:45 Daniel Campbell
2016-07-15 6:32 Daniel Campbell
2016-06-14 10:16 Daniel Campbell
2016-03-18 22:56 Daniel Campbell
2016-01-07 23:08 Daniel Campbell
2015-12-31 23:18 Daniel Campbell
2015-12-07 7:48 Daniel Campbell
2015-11-27 8:55 Daniel Campbell
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1496564288.61dbfd2cdd29094de8ebd2b5bf4d4a5c7ab4b771.zlg@gentoo \
--to=zlg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox